summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2020-04-16 23:35:42 +0100
committerSergei Trofimovich <slyfox@gentoo.org>2020-04-16 23:53:34 +0100
commit21e1da97e80946f64720897cd9204acf6ac67ef5 (patch)
tree4a50ce70bd174512f8af0812f346d5141170d2b8
parentprofiles: arch: riscv: mask doc USE flag on libcbor (bug 709752) (diff)
downloadgentoo-21e1da97e80946f64720897cd9204acf6ac67ef5.tar.gz
gentoo-21e1da97e80946f64720897cd9204acf6ac67ef5.tar.bz2
gentoo-21e1da97e80946f64720897cd9204acf6ac67ef5.zip
*/*: restore ~ia64 gnome-base/gnome-shell keywords
Émeric Maschino and Mart Raudsepp noted that gnome-extra/evolution-data-server has no hard dependency on webkit-gtk and we can just mask USE=oauth there. This change does exactly that and restores keywords for the following packages: - gnome-base/gdm - gnome-base/gnome-shell - nome-extra/chrome-gnome-shell - nome-extra/evolution-data-server Reported-by: Émeric Maschino Closes: https://bugs.gentoo.org/717550 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
-rw-r--r--gnome-base/gdm/gdm-3.34.1.ebuild2
-rw-r--r--gnome-base/gnome-shell/gnome-shell-3.34.5.ebuild2
-rw-r--r--gnome-extra/chrome-gnome-shell/chrome-gnome-shell-10-r4.ebuild2
-rw-r--r--gnome-extra/evolution-data-server/evolution-data-server-3.34.4.ebuild2
-rw-r--r--profiles/arch/ia64/package.use.mask3
5 files changed, 6 insertions, 5 deletions
diff --git a/gnome-base/gdm/gdm-3.34.1.ebuild b/gnome-base/gdm/gdm-3.34.1.ebuild
index e5c1d95ec6d..cd0b9154afa 100644
--- a/gnome-base/gdm/gdm-3.34.1.ebuild
+++ b/gnome-base/gdm/gdm-3.34.1.ebuild
@@ -25,7 +25,7 @@ IUSE="accessibility audit bluetooth-sound branding elogind fprint +introspection
RESTRICT="!test? ( test )"
REQUIRED_USE="^^ ( elogind systemd )"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
# NOTE: x11-base/xorg-server dep is for X_SERVER_PATH etc, bug #295686
# nspr used by smartcard extension
diff --git a/gnome-base/gnome-shell/gnome-shell-3.34.5.ebuild b/gnome-base/gnome-shell/gnome-shell-3.34.5.ebuild
index 31bff815d4a..da6d7449f1c 100644
--- a/gnome-base/gnome-shell/gnome-shell-3.34.5.ebuild
+++ b/gnome-base/gnome-shell/gnome-shell-3.34.5.ebuild
@@ -15,7 +15,7 @@ IUSE="+bluetooth +browser-extension elogind gtk-doc +ibus +networkmanager system
REQUIRED_USE="${PYTHON_REQUIRED_USE}
?? ( elogind systemd )"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
# libXfixes-5.0 needed for pointer barriers and #include <X11/extensions/Xfixes.h>
# FIXME:
diff --git a/gnome-extra/chrome-gnome-shell/chrome-gnome-shell-10-r4.ebuild b/gnome-extra/chrome-gnome-shell/chrome-gnome-shell-10-r4.ebuild
index 5ff6798c1a4..b70997c1968 100644
--- a/gnome-extra/chrome-gnome-shell/chrome-gnome-shell-10-r4.ebuild
+++ b/gnome-extra/chrome-gnome-shell/chrome-gnome-shell-10-r4.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://gnome/sources/${PN}/${PV}/${P}.tar.xz"
LICENSE="GPL-3+"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
diff --git a/gnome-extra/evolution-data-server/evolution-data-server-3.34.4.ebuild b/gnome-extra/evolution-data-server/evolution-data-server-3.34.4.ebuild
index 2ec4314c5b0..d8d6502f2ae 100644
--- a/gnome-extra/evolution-data-server/evolution-data-server-3.34.4.ebuild
+++ b/gnome-extra/evolution-data-server/evolution-data-server-3.34.4.ebuild
@@ -17,7 +17,7 @@ SLOT="0/62-24-20" # subslot = libcamel-1.2/libedataserver-1.2/libebook-1.2.so so
IUSE="berkdb +gnome-online-accounts +gtk gtk-doc +introspection ipv6 ldap kerberos oauth vala +weather"
REQUIRED_USE="vala? ( introspection )"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
# gdata-0.17.7 soft required for new gdata_feed_get_next_page_token API to handle more than 100 google tasks
# berkdb needed only for migrating old addressbook data from <3.13 versions, bug #519512
diff --git a/profiles/arch/ia64/package.use.mask b/profiles/arch/ia64/package.use.mask
index 2f3923801b8..975602c0ba2 100644
--- a/profiles/arch/ia64/package.use.mask
+++ b/profiles/arch/ia64/package.use.mask
@@ -17,9 +17,10 @@ app-text/texlive l10n_ja context
# - net-libs/webkit-gtk: ruby build system
app-editors/emacs xwidgets
dev-util/geany-plugins markdown
+gnome-extra/evolution-data-server oauth
# - gnome-extra/sushi: depends on webkit-gtk
gnome-base/nautilus previewer
-# - gnome-base/gnome-shell: depends on gnome-extra/evolution-data-server
+# - net-libs/gnome-online-accounts: depends on webkit-gtk
gnome-base/gnome-control-center flickr
gnome-base/gvfs google